package domain


type AlibabaWdkChannelUserSyncUserSyncInfo struct {
    /*
        用户Id     */
    UserId  *int64 `json:"user_id,omitempty" `

    /*
        手机号     */
    Phone  *string `json:"phone,omitempty" `

    /*
        会员名     */
    UserName  *string `json:"user_name,omitempty" `

    /*
        用户昵称     */
    UserNick  *string `json:"user_nick,omitempty" `

    /*
        真实姓名     */
    RealName  *string `json:"real_name,omitempty" `

    /*
        性别     */
    Gender  *string `json:"gender,omitempty" `

    /*
        操作类型 （create/update/delete）     */
    Type  *string `json:"type,omitempty" `

}

func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetUserId(v int64) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.UserId = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetPhone(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.Phone = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetUserName(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.UserName = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetUserNick(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.UserNick = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetRealName(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.RealName = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetGender(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.Gender = &v
    return s
}
func (s *AlibabaWdkChannelUserSyncUserSyncInfo) SetType(v string) *AlibabaWdkChannelUserSyncUserSyncInfo {
    s.Type = &v
    return s
}
